package com.incubator.game.data.po;

import com.incubator.game.player.Player;
import com.incubator.game.util.JDGDUtils;
import com.incubator.game.util.Struct;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 房间数据实体类
 * 作者：agui
 * 自动创建时间：2022-10-01 02:24:37
 */
public class RoomPO {

	/** 房间号 */
	public long roomId;

	//**************************配置相关***************************
	/** 最大人数 **/
	public int maxNum;
	/** 最大局数 **/
	public int maxRound;

	//**************************配置相关***************************

	/** 玩家 [key:座位号， value:玩家对象] **/
	public Map<Integer, Player> playerMap = new HashMap<>();
	/** 当前局数 **/
	public int curRound;
	/** 庄家位置 **/
	public int zhuangPos;
	/** 当前级牌点数 **/
	public int curLevelPoint;
	/** 当前级牌点数下标 **/
	public int curLevelIndex;
	/** 当前操作玩家 **/
	public Player currentPlayer;
	/** 当前操作玩家总数量 **/
	public int curOpPlayerNum;
	/** 当前出牌玩家打出的牌集合 **/
	public int[] curDisCardList = new int[]{};
	/** 当前出牌玩家打出的牌型 **/
	public JDGDUtils.CardType curDisCardType;
	/** 当前出牌的玩家 **/
	public Player disCardPlayer;
	/** 点击过玩家列表 **/
	public List<String> passList = new ArrayList<>();
	/** 接风判断标识 **/
	public Player jieFengPlayer = null;
	/** 结算列表[key:1-4游, value:玩家] **/
	public Map<Integer, Player> result = new HashMap<>();
	/** 进还贡数据 **/
	public Struct.TributeData tributeData = new Struct.TributeData();

	public RoomPO() {}

	public void init() {
		this.roomId = 0;
		this.maxNum = 0;
		this.maxRound = 0;
		this.playerMap = new HashMap<>();
		this.curRound = 0;
		this.zhuangPos = -1;
		this.curLevelPoint = 0;
		this.curLevelIndex = 0;
		this.currentPlayer = null;
		this.curOpPlayerNum = 0;
		this.curDisCardList = new int[]{};
		this.curDisCardType = null;
		this.disCardPlayer = null;
		this.passList = new ArrayList<>();
		this.jieFengPlayer = null;
		this.result = new HashMap<>();
		this.tributeData = new Struct.TributeData();
	}
}
