package com.incubator.game.util;

import com.incubator.game.player.Player;

import java.util.ArrayList;
import java.util.List;

/**
 * 自定义结构类
 */
public final class Struct {

    public static class TeammateData {
        public Player player;
        public int rank;
        public TeammateData() {}
        public TeammateData(Player player, int rank) {
            this.player = player;
            this.rank = rank;
        }
        public Player getPlayer() {
            return player;
        }
        public void setPlayer(Player player) {
            this.player = player;
        }
        public int getRank() {
            return rank;
        }
        public void setRank(int rank) {
            this.rank = rank;
        }
    }

    /**
     * 比赛晋级数据
     */
    public static class PromotionData {
        public String playerId;
        public String avatar;
        public int score;
        public long roomId;
        public int rank;
        public boolean isPromotion;
        public PromotionData() {}
        public PromotionData(String playerId, String avatar, int score, int rank, boolean isPromotion) {
            this.playerId = playerId;
            this.avatar = avatar;
            this.score = score;
            this.rank = rank;
            this.isPromotion = isPromotion;
        }
        public String getPlayerId() {
            return playerId;
        }
        public void setPlayerId(String playerId) {
            this.playerId = playerId;
        }
        public int getRank() {
            return rank;
        }
        public void setRank(int rank) {
            this.rank = rank;
        }
    }

    /**
     * 进还贡数据
     */
    public static class TributeData {
        // 还贡者1
        public String player1;
        // 还贡者2
        public String player2;
        // 进贡者List
        public List<String> tributeList = new ArrayList<>();
        public TributeData() {}
        /**
         *
         * @param player1  还贡者id(1游)
         * @param player2  还贡者id(2游)
         * @param tributeList  进贡者Ids
         */
        public TributeData(String player1, String player2, List<String> tributeList) {
            this.player1 = player1;
            this.player2 = player2;
            this.tributeList = tributeList;
        }
        public String getPlayer1() {
            return player1;
        }
        public void setPlayer1(String player1) {
            this.player1 = player1;
        }
        public String getPlayer2() {
            return player2;
        }
        public void setPlayer2(String player2) {
            this.player2 = player2;
        }
        public List<String> getTributeList() {
            return tributeList;
        }
        public void setTributeList(List<String> tributeList) {
            this.tributeList = tributeList;
        }
    }
}
